# MapperSerializer

constructor(base: KSerializer< I >, serialize: (Encoder, O ) -> I , deserialize: (Decoder, I ) -> O )(source)

#### Parameters

base

Serializer for I

serialize

Will be used in serialize method to convert incoming O to I and serialize with base

deserialize

Will be used in deserialize method to convert deserialized by base to O

constructor(base: KSerializer< I >, serialize: ( O ) -> I , deserialize: ( I ) -> O )(source)
constructor(base: KSerializer< I >, serialize: (Encoder, O ) -> I , deserialize: ( I ) -> O )(source)
constructor(base: KSerializer< I >, serialize: ( O ) -> I , deserialize: (Decoder, I ) -> O )(source)